| Irrlicht 3D Engine |

Public Member Functions | Public Attributes
irr::video::S3DVertexTangents Struct Reference

Vertex with a tangent and binormal vector. More...

`#include <S3DVertex.h>`

Inheritance diagram for irr::video::S3DVertexTangents:

List of all members.

## Public Member Functions

- S3DVertexTangents ()
    default constructor
- S3DVertexTangents (f32 x, f32 y, f32 z, f32 nx=0.0f, f32 ny=0.0f, f32 nz=0.0f, SColor c=0xFFFFFFFF, f32 tu=0.0f, f32 tv=0.0f, f32 tanx=0.0f, f32 tany=0.0f, f32 tanz=0.0f, f32 bx=0.0f, f32 by=0.0f, f32 bz=0.0f)
    constructor
- S3DVertexTangents (const core::vector3df &pos, SColor c, const core::vector2df &tcoords)
    constructor
- S3DVertexTangents (const core::vector3df &pos, const core::vector3df &normal, SColor c, const core::vector2df &tcoords, const core::vector3df &tangent=core::vector3df(), const core::vector3df &binormal=core::vector3df())
    constructor
- S3DVertexTangents getInterpolated (const S3DVertexTangents &other, f32 d)
- E_VERTEX_TYPE getType () const
- bool operator!= (const S3DVertexTangents &other) const
- bool operator< (const S3DVertexTangents &other) const
- bool operator== (const S3DVertexTangents &other) const

## Public Attributes

- core::vector3df Binormal
    Binormal vector (tangent x normal)
- core::vector3df Tangent
    Tangent vector along the x-axis of the texture.

## Detailed Description

Vertex with a tangent and binormal vector.

Usually used for tangent space normal mapping.

Definition at line 187 of file S3DVertex.h.

## Constructor & Destructor Documentation

irr::video::S3DVertexTangents::S3DVertexTangents | ( |  | ) | `[inline]`

default constructor

Definition at line 190 of file S3DVertex.h.

Referenced by getInterpolated().

irr::video::S3DVertexTangents::S3DVertexTangents | ( | f32 | x,
|  | f32 | y,
|  | f32 | z,
|  | f32 | nx = `0.0f`,
|  | f32 | ny = `0.0f`,
|  | f32 | nz = `0.0f`,
|  | SColor | c = `0xFFFFFFFF`,
|  | f32 | tu = `0.0f`,
|  | f32 | tv = `0.0f`,
|  | f32 | tanx = `0.0f`,
|  | f32 | tany = `0.0f`,
|  | f32 | tanz = `0.0f`,
|  | f32 | bx = `0.0f`,
|  | f32 | by = `0.0f`,
|  | f32 | bz = `0.0f`
| ) |  | `[inline]`

constructor

Definition at line 193 of file S3DVertex.h.

irr::video::S3DVertexTangents::S3DVertexTangents | ( | const core::vector3df & | pos,
|  | SColor | c,
|  | const core::vector2df & | tcoords
| ) |  | `[inline]`

constructor

Definition at line 200 of file S3DVertex.h.

irr::video::S3DVertexTangents::S3DVertexTangents | ( | const core::vector3df & | pos,
|  | const core::vector3df & | normal,
|  | SColor | c,
|  | const core::vector2df & | tcoords,
|  | const core::vector3df & | tangent = `core::vector3df()`,
|  | const core::vector3df & | binormal = `core::vector3df()`
| ) |  | `[inline]`

constructor

Definition at line 205 of file S3DVertex.h.

## Member Function Documentation

S3DVertexTangents irr::video::S3DVertexTangents::getInterpolated | ( | const S3DVertexTangents & | other,
|  | f32 | d
| ) |  | `[inline]`

Definition at line 244 of file S3DVertex.h.

References Binormal, irr::core::clamp(), irr::video::S3DVertex::Color, irr::core::vector3d< T >::getInterpolated(), irr::core::vector2d< T >::getInterpolated(), irr::video::SColor::getInterpolated(), irr::video::S3DVertex::Normal, irr::video::S3DVertex::Pos, S3DVertexTangents(), Tangent, and irr::video::S3DVertex::TCoords.

E_VERTEX_TYPE irr::video::S3DVertexTangents::getType | ( |  | ) | const`[inline]`

Reimplemented from irr::video::S3DVertex.

Definition at line 239 of file S3DVertex.h.

References irr::video::EVT_TANGENTS.

bool irr::video::S3DVertexTangents::operator!= | ( | const S3DVertexTangents & | other | ) | const`[inline]`

Definition at line 225 of file S3DVertex.h.

References Binormal, and Tangent.

bool irr::video::S3DVertexTangents::operator< | ( | const S3DVertexTangents & | other | ) | const`[inline]`

Definition at line 232 of file S3DVertex.h.

References Binormal, and Tangent.

bool irr::video::S3DVertexTangents::operator== | ( | const S3DVertexTangents & | other | ) | const`[inline]`

Definition at line 218 of file S3DVertex.h.

References Binormal, and Tangent.

## Member Data Documentation

core::vector3df irr::video::S3DVertexTangents::Binormal

Binormal vector (tangent x normal)

Definition at line 216 of file S3DVertex.h.

Referenced by getInterpolated(), operator!=(), operator<(), and operator==().

core::vector3df irr::video::S3DVertexTangents::Tangent

Tangent vector along the x-axis of the texture.

Definition at line 213 of file S3DVertex.h.

Referenced by getInterpolated(), operator!=(), operator<(), and operator==().

The documentation for this struct was generated from the following file:

- S3DVertex.h